Skip to end of metadata
Go to start of metadata
Prerequisites

ScanImage is written primarily in Matlab and uses National Instruments data acquisition (DAQ) hardware for its core functionality.
The Microsoft Windows operating system, Matlab software, and National Instruments DAQ driver software must be installed prior to using ScanImage.

 

ScanImage Version

OS Version(s)

Matlab Version(s)

NI Driver Versions

 
2016 / 5.2Win7/64-bit OR Win10/64-bit2015a OR 2015b OR 2016a (all 64-bit)

DAQmx 9.8 OR DAQmx 15.5

FlexRIO 15.5 or later

Install Documentation
2015Win7/64-bit OR Win10/64-bit2013b (64-bit) OR 2015a* (64-bit)

DAQmx 9.8 OR DAQmx 15.1

FlexRIO 15.1

Install Documentation
5.1Win7/64-bit OR Win10/64-bit2013b (64-bit) OR 2015a* (64-bit)

DAQmx 9.8 OR DAQmx 15.1

FlexRIO 15.1

Install Documentation
5Win7/64-bit2013b (64-bit) OR 2014a (64-bit)

DAQmx 9.8

FlexRIO 15.1

Install Documentation
4.2Win7/64-bit2011b,2013b

DAQmx 9.6 OR DAQmx 9.8

 
Install Documentation
3.8.1

WinXP/32-bit OR Win7/64-bit (blue star)

2011b,2012b,2013b

DAQmx 8.8 OR DAQmx 9.6 OR DAQmx 9.8 (blue star)(red star)

 
Install Documentation

 

(tick) NO MATLAB TOOLBOXES are required for any currently supported ScanImage version
(tick) Multiple Matlab versions can be simultaneously installed, and run, on the same machine/account, without counting as an extra license activation

(blue star) If using Win7/64-bit and/or using the newer X Series devices from National Instruments, then DAQmx 9.3 or later must be used.

(red star) DAQmx version 8.8 compatibility is provided to facilitate upgrading from SI 3.6 or 3.7, which also can run on DAQmx 8.8. With this driver, users can install and switch between ScanImage versions, as desired, during the migration/upgrade.

*Recommended for best performance

 

  • No labels